plot variable defined on range A on a graph defined on range B causes a download and does not plot
Description

Description:

)

download a variable, any one, on range A

plot it on a new zone, on a new plot

then pan, zoom out, etc. to change the range. The plot is now on a range named B.

Now download another variable, the time widget is unchanged so still on range A.

delete the first variable. The variable is removed, the plot is empty but still on range B.

Now plot the new variable on this zone/graph.

Since the graph is on B and the variable is on A, this action triggers a download request, presumably to adjust the variable
range from A to B.

1- question : is this what we want? the plot is empty, why should it impose its range on the variable?

2- Bug : the variable actually never appears on the plot. However from the contextual menu "unplot" appears so for sciglop it is has if
it is plotted.

It is not a refresh problem, since panning a bit does not make the curve to appear.

A video has been recorded and will soon be uploaded here.

History

#1 - 27/09/2017 08:38 AM - Nicolas Aunai
- File tesSciglop.mov added

movie attached

#2 - 27/09/2017 07:16 PM - Nicolas Aunai

ok so about question 2 :
the new variable was not in the current Y range so didn't show on the graph, but was actually on the plot if the Y range is changed.
Question 1 remains

#3 - 14/02/2019 09:59 AM - Alexis Jeandet
- Category set to legacy

Files

tesSciglop.mov 82.4 MB 27/09/2017 Nicolas Aunai
